# Prelude-Trigger, (C) 2009 Alexander Tsvyashchenko <prelude@ndl.kiev.ua>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

import re
from PreludeTrigger import require
from PreludeTrigger.idmef import IDMEF
from PreludeTrigger.pluginmanager import FilterPlugin

class RegexMatch(FilterPlugin):

    # TODO: inefficient implementation, need to pre-compile all regex values once!
    def filter(self, filter, idmef):
        if not idmef.match(filter['path'], re.compile(filter['value'])):
	    return False

	return True
