# Prelude-Trigger, (C) 2009 Alexander Tsvyashchenko <prelude@ndl.kiev.ua>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

import os
from PreludeTrigger import require
from PreludeTrigger.idmef import IDMEF
from PreludeTrigger.pluginmanager import ActionPlugin

class RunCommand(ActionPlugin):

    def execute(self, action, idmef):
        in_args = action['command'].split(' ')
        out_args = []
        out_args.append(in_args.pop(0))
        for arg in in_args:
	    try:
                out_args.append("'%s'" % idmef.Get(arg))
            except Exception, e:
                out_args.append("'%s'" % arg)
        cmd_line = ' '.join(out_args)
        if self.env.dry_run:
            self.debug("Would execute command '%s', but 'dry_run' is true" % cmd_line)
        else:
            status = os.system(cmd_line)
            if status != 0:
                self.warning("'%s' returned %d" % (cmd_line, status))
